Subject: [bug#47852] [PATCH] gnu: Add sc-im

From: "jgart" <[email-masked]>
Date: Thu, 22 Apr 2021 19:56:19 +0000

> What do we want to be the main point of the programs: their UI or
> their goal?

I think it depends on how many tui programs we have so far. 

If we have many tui programs then we should probably start categorizing them.

I would prefer for them to be catalogued based on their intended usage or goal, as you suggested.

Estoy alobao, let's move this to a guix-devel thread. I'll open one soon for us to continue there.

--
jgart

April 19, 2021 5:48 PM, "Ekaitz Zarraga" <[email-masked]> wrote:

> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Monday, April 19, 2021 6:46 PM, jgart <[email-masked]> wrote:
> 
>> ElenQ Technology
> 
> Ethical InnovationYes, I think it would be better if we did this in a new issue.
> 
>> Ryan Prior suggested tui-apps as a new module name.
>> 
>> I like that!
>> 
>> sc-im, visidata, newsboat, and calcurse fit that bill. There's probably others that can go in
>> there.
> 
> The main issue here in my opinion is what are we judging as a better
> description of a program: the interface or what the program actually
> does.
> 
> `newsboat`, `vim` and `sc-im` don't have anything in common from a
> functionality perspective. But `sc-im` does have things in common
> with `libreoffice calc`, `gnumeric` or others.
> 
> So...
> 
> What do we want to be the main point of the programs: their UI or
> their goal?